Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.store
Interface StoreMountable

All Known Implementing Classes:
  DatabaseStore

    public interface StoreMountable

Provides methods for mounting authorities at fixed paths. If a request to that path is made, the authority's XRD will be put into an XRDS document and served to the client, after running the XRD through the LOOKUP pipeline. This is not used for XRI resolution, but may be used for other XRDS or XRDS-Simple applications. Authorities that are mounted at a path may still be used in XRI resolution, if there are subsegments that resolve to them. More than one authority can be mounted at any given path. In this case, the XRDS will contain each authority's XRD.

Author:
  =peacekeeper

Method Summary
`java.lang.String` | `getAuthorityPath(Authority authority)` Returns the path at which the authority is mounted.
`Authority[]` | `listAuthoritiesByPath(java.lang.String path)` Returns all authorities mounted at a given path.
`void` | `setAuthorityPath(Authority authority, java.lang.String path)` Mounts an authority at a given path.

Method Detail

### setAuthorityPath

    void setAuthorityPath(Authority authority,
                          java.lang.String path)
                          throws StoreException

  Mounts an authority at a given path.

  Parameters:
    `path` - The path at which to mount the authority (null to unmount it).
    `authority` - The authority to mount.
  Throws:
    `StoreException`

### getAuthorityPath

    java.lang.String getAuthorityPath(Authority authority)
                                      throws StoreException

  Returns the path at which the authority is mounted.

  Parameters:
    `authority` - The authority to check.
  Returns:
    The mount path of the authority, or null if the authority is not mounted.
  Throws:
    `StoreException`

### listAuthoritiesByPath

    Authority[] listAuthoritiesByPath(java.lang.String path)
                                      throws StoreException

  Returns all authorities mounted at a given path.

  Parameters:
    `path` - The mount path to look for.
  Returns:
    An array of authorities.
  Throws:
    `StoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.